# Generated by Django 5.1a1 on 2024-06-20 21:44

import django.db.models.deletion
from django.db import migrations, models
from django.db.migrations.operations.base import Operation


class Migration(migrations.Migration):
    initial = True

    dependencies: list[tuple[str, str]] = []

    operations: list[Operation] = [
        migrations.CreateModel(
            name="Channel",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("display_name", models.TextField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Game",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("slug", models.TextField(blank=True, null=True)),
                ("display_name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Organization",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("name", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="DropBenefit",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("created_at", models.DateTimeField(blank=True, null=True)),
                ("entitlement_limit", models.IntegerField(blank=True, null=True)),
                ("image_asset_url", models.URLField(blank=True, null=True)),
                ("is_ios_available", models.BooleanField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "game",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="twitch.game",
                    ),
                ),
                (
                    "owner_organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="twitch.organization",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TimeBasedDrop",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("required_subs", models.IntegerField(blank=True, null=True)),
                ("end_at", models.DateTimeField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                (
                    "required_minutes_watched",
                    models.IntegerField(blank=True, null=True),
                ),
                ("start_at", models.DateTimeField(blank=True, null=True)),
                ("benefits", models.ManyToManyField(to="twitch.dropbenefit")),
            ],
        ),
        migrations.CreateModel(
            name="DropCampaign",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("account_link_url", models.URLField(blank=True, null=True)),
                ("description", models.TextField(blank=True, null=True)),
                ("details_url", models.URLField(blank=True, null=True)),
                ("end_at", models.DateTimeField(blank=True, null=True)),
                ("image_url", models.URLField(blank=True, null=True)),
                ("name", models.TextField(blank=True, null=True)),
                ("start_at", models.DateTimeField(blank=True, null=True)),
                ("status", models.TextField(blank=True, null=True)),
                ("channels", models.ManyToManyField(to="twitch.channel")),
                (
                    "game",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="twitch.game",
                    ),
                ),
                (
                    "owner",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="twitch.organization",
                    ),
                ),
                ("time_based_drops", models.ManyToManyField(to="twitch.timebaseddrop")),
            ],
        ),
        migrations.CreateModel(
            name="User",
            fields=[
                ("id", models.TextField(primary_key=True, serialize=False)),
                ("drop_campaigns", models.ManyToManyField(to="twitch.dropcampaign")),
            ],
        ),
    ]
